package com.example.pda

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.navigation.compose.rememberNavController
import androidx.navigation.compose.NavHost
import com.example.pda.navigation.appNavGraph
import com.example.pda.ui.theme.PDATheme

// 主活动类，继承自 ComponentActivity，作为应用的入口点
class MainActivity : ComponentActivity() {
    // 重写 onCreate 方法，用于设置应用的内容视图
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContent {
            // 应用的主题设置
            PDATheme {
                // 记忆导航控制器，用于管理应用内的导航状态
                val navController = rememberNavController()

                // 导航主机，负责处理导航逻辑
                NavHost(
                    navController = navController,
                    startDestination = "root"
                ) {
                    // 应用的导航图配置
                    appNavGraph(navController)
                }
            }
        }
    }
}