package com.example.pda.network

object NetworkPinger
{
    private const val TAG = "NetworkPinger"

    // 使用示例
    class PingRepository {
        /**
         * 执行 HTTP Ping 操作
         * @param url 需要 ping 的完整地址（需包含协议头，如 http:// 或 https://）
         * @return Boolean 表示是否 ping 成功（响应码在 200-299 之间视为成功）
         */
        suspend fun ping(url: String): Boolean {
            return try {
                val response = RetrofitPing.pingService.ping(url)
                response.isSuccessful
            } catch (e: Exception) {
                // 处理网络异常、无效 URL 等情况
                false
            }
        }
    }
}


