package com.example.pda.network

import retrofit2.Retrofit
import retrofit2.converter.gson.GsonConverterFactory

// RetrofitClient 对象用于创建和管理 Retrofit 实例
object RetrofitClient {
    // 私有常量 BASE_URL 定义了 API 的基础 URL
    private const val BASE_URL = "https://your-api-domain.com/api/v1/"

    // val instance 通过 lazy 委托实现懒加载，创建 ApiService 的单例实例
    val instance: ApiService by lazy {
        Retrofit.Builder()
            .baseUrl(BASE_URL)
            .client(HttpClient.instance)
            .addConverterFactory(GsonConverterFactory.create())
            .build()
            .create(ApiService::class.java)
    }
}